[arch-commits] Commit in coreutils/repos (6 files)

Sébastien Luttringer seblu at archlinux.org
Sun Jul 5 22:27:06 UTC 2015


    Date: Monday, July 6, 2015 @ 00:27:06
  Author: seblu
Revision: 241832

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  coreutils/repos/testing-i686/
  coreutils/repos/testing-i686/PKGBUILD
    (from rev 241831, coreutils/trunk/PKGBUILD)
  coreutils/repos/testing-i686/coreutils.install
    (from rev 241831, coreutils/trunk/coreutils.install)
  coreutils/repos/testing-x86_64/
  coreutils/repos/testing-x86_64/PKGBUILD
    (from rev 241831, coreutils/trunk/PKGBUILD)
  coreutils/repos/testing-x86_64/coreutils.install
    (from rev 241831, coreutils/trunk/coreutils.install)

----------------------------------+
 testing-i686/PKGBUILD            |   51 +++++++++++++++++++++++++++++++++++++
 testing-i686/coreutils.install   |   17 ++++++++++++
 testing-x86_64/PKGBUILD          |   51 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/coreutils.install |   17 ++++++++++++
 4 files changed, 136 insertions(+)

Copied: coreutils/repos/testing-i686/PKGBUILD (from rev 241831, coreutils/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2015-07-05 22:27:06 UTC (rev 241832)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Sébastien "Seblu" Luttringer
+# Contributor: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=coreutils
+pkgver=8.24
+pkgrel=1
+pkgdesc='The basic file, shell and text manipulation utilities of the GNU operating system'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url='http://www.gnu.org/software/coreutils'
+groups=('base')
+depends=('glibc' 'acl' 'attr' 'gmp' 'libcap' 'openssl')
+install=$pkgname.install
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+validpgpkeys=('6C37DC12121A5006BC1DB804DF6FD971306037D9') # Pádraig Brady
+md5sums=('40efdbce865d2458d8da0a9dcee7c16c'
+         'SKIP')
+
+prepare() {
+  local _p
+  for _p in *.patch; do
+   [[ -e $_p ]] || continue
+   msg2 "Applying $_p"
+   patch -p1 -d $pkgname-$pkgver < "$_p"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure \
+      --prefix=/usr \
+      --libexecdir=/usr/lib \
+      --with-openssl \
+      --enable-no-install-program=groups,hostname,kill,uptime
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: coreutils/repos/testing-i686/coreutils.install (from rev 241831, coreutils/trunk/coreutils.install)
===================================================================
--- testing-i686/coreutils.install	                        (rev 0)
+++ testing-i686/coreutils.install	2015-07-05 22:27:06 UTC (rev 241832)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=coreutils.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+

Copied: coreutils/repos/testing-x86_64/PKGBUILD (from rev 241831, coreutils/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2015-07-05 22:27:06 UTC (rev 241832)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Sébastien "Seblu" Luttringer
+# Contributor: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=coreutils
+pkgver=8.24
+pkgrel=1
+pkgdesc='The basic file, shell and text manipulation utilities of the GNU operating system'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url='http://www.gnu.org/software/coreutils'
+groups=('base')
+depends=('glibc' 'acl' 'attr' 'gmp' 'libcap' 'openssl')
+install=$pkgname.install
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+validpgpkeys=('6C37DC12121A5006BC1DB804DF6FD971306037D9') # Pádraig Brady
+md5sums=('40efdbce865d2458d8da0a9dcee7c16c'
+         'SKIP')
+
+prepare() {
+  local _p
+  for _p in *.patch; do
+   [[ -e $_p ]] || continue
+   msg2 "Applying $_p"
+   patch -p1 -d $pkgname-$pkgver < "$_p"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure \
+      --prefix=/usr \
+      --libexecdir=/usr/lib \
+      --with-openssl \
+      --enable-no-install-program=groups,hostname,kill,uptime
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: coreutils/repos/testing-x86_64/coreutils.install (from rev 241831, coreutils/trunk/coreutils.install)
===================================================================
--- testing-x86_64/coreutils.install	                        (rev 0)
+++ testing-x86_64/coreutils.install	2015-07-05 22:27:06 UTC (rev 241832)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=coreutils.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+



More information about the arch-commits mailing list